ACText Class Reference

the main class to read the text part of Acta Text file More...

`#include <ACText.hxx>`

## Public Member Functions

| ACText (ACParser &parser)
| constructor More...
virtual | ~ACText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones ()
| try to create the text zones More...
bool | sendMainText ()
| send a main zone More...
bool | getColor (int id, MWAWColor &col) const
| return the color which corresponds to an id (if possible) More...
bool | readTopic ()
| try to read the topic definitions (line or graphic) More...
bool | sendTopic (ACTextInternal::Topic const &topic)
| try to send a topic More...
bool | sendText (ACTextInternal::Topic const &topic)
| try to read a text entry More...
bool | sendGraphic (ACTextInternal::Topic const &topic)
| try to read a graphic More...
bool | readFont (MWAWFont &font, bool inPLC)
| try to read a font More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< ACTextInternal::State > | m_state
| the state More...
ACParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| ACText (ACText const &orig)
ACText & | operator= (ACText const &orig)

## Friends

class | ACParser

## Detailed Description

the main class to read the text part of Acta Text file

## Constructor & Destructor Documentation

ACText::ACText | ( | ACParser & | parser | ) |

constructor

ACText::~ACText | ( |  | ) |

virtual

destructor

ACText::ACText | ( | ACText const & | orig | ) |

private

## Member Function Documentation

bool ACText::createZones | ( |  | ) |

protected

try to create the text zones

bool ACText::getColor | ( | int | id,
|  | MWAWColor & | col
| ) |  | const

protected

return the color which corresponds to an id (if possible)

Referenced by readTopic().

int ACText::numPages | ( |  | ) | const

returns the number of pages

ACText& ACText::operator= | ( | ACText const & | orig | ) |

private

bool ACText::readFont | ( | MWAWFont & | font,
|  | bool | inPLC
| ) |  |

protected

try to read a font

Referenced by readTopic(), and sendText().

bool ACText::readTopic | ( |  | ) |

protected

try to read the topic definitions (line or graphic)

Referenced by createZones().

bool ACText::sendGraphic | ( | ACTextInternal::Topic const & | topic | ) |

protected

try to read a graphic

Referenced by sendTopic().

bool ACText::sendMainText | ( |  | ) |

protected

send a main zone

bool ACText::sendText | ( | ACTextInternal::Topic const & | topic | ) |

protected

try to read a text entry

Referenced by sendTopic().

bool ACText::sendTopic | ( | ACTextInternal::Topic const & | topic | ) |

protected

try to send a topic

Referenced by sendMainText().

int ACText::version | ( |  | ) | const

returns the file version

Referenced by createZones(), getColor(), and readTopic().

## Friends And Related Function Documentation

friend class ACParser

friend

## Member Data Documentation

ACParser* ACText::m_mainParser

protected

the main parser;

Referenced by sendMainText(), and sendTopic().

MWAWParserStatePtr ACText::m_parserState

protected

the parser state

Referenced by createZones(), readFont(), readTopic(), sendGraphic(), sendText(), sendTopic(), and version().

shared_ptr<ACTextInternal::State> ACText::m_state

protected

the state

Referenced by createZones(), getColor(), numPages(), readTopic(), sendMainText(), sendTopic(), and version().

The documentation for this class was generated from the following files:

- ACText.hxx
- ACText.cxx